Subject: Re: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Liu Hui <[email-masked]>
Date: Mon, 27 Nov 2023 16:32:45 +0800

Juri Linkov <[email-masked]> 于2023年11月27日周一 15:31写道：

> Now that it works I was able to find a different problem:
>
>   Debugger entered--Lisp error: (void-function t)
>     t(#<overlay from 960 to 1016 in tmp/>)
>     isearch-open-necessary-overlays(#<overlay from 960 to 1016 in tmp/>)
>     isearch-clean-overlays()
>     isearch-exit()
>     funcall-interactively(isearch-exit)
>     command-execute(isearch-exit)
>
> because 'isearch-open-invisible' should be a function.
> I wonder what would be a suitable function.
> After searching for other uses I found a good example
> in lisp/org/org-fold-core.el:
>
>   (overlay-put o 'isearch-open-invisible #'delete-overlay)
>
> that works nicely leaving the overlay open after exiting isearch in dired.

Sorry for the mistake! I can reproduce the problem and the fix works
well. Thank you, Juri!